<?php
/******************************************************************************/
//                                                                            //
//                           InstantCMS v1.10.5                               //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2014                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/

@set_time_limit(0);

session_start();

header('Content-Type: text/html; charset=utf-8');
define('VALID_CMS', 1);

define('PATH', $_SERVER['DOCUMENT_ROOT']);

include(PATH.'/core/cms.php');
$inCore = cmsCore::getInstance(false, true);

cmsCore::loadClass('user');
cmsCore::loadClass('cron');
cmsCore::loadClass('actions');
cmsCore::loadClass('page');

$inConf = cmsConfig::getInstance();
$inDB   = cmsDatabase::getInstance();

// принудительно включаем дебаг
$inConf->debug = 1;

$version_prev = '1.10.4';
$version_next = '1.10.5';

// ========================================================================== //
// ========================================================================== //
?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>InstantCMS - Миграция базы данных</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
</head>

<body>
<style type="text/css">
	body { font-family:Arial; font-size:14px; }

	a { color: #0099CC; }
	a:hover { color: #375E93; }
	h2 { color: #375E93; }

	#wrapper { padding:10px 30px; }
	#wrapper p{ line-height: 20px; }

	.migrate p {
				   line-height:16px;
				   padding-left:20px;
				   margin:2px;
				   margin-left:20px;
				   background:url(/admin/images/actions/on.gif) no-repeat;
			   }
	.migrate p.info {
                   font-size: 16px;
				   background: none;
                   color: #C00;
			   }
	.important {
				   margin:20px;
				   margin-left:0px;
				   border:solid 1px silver;
				   padding:15px;
				   padding-left:65px;
				   background:url(important.png) no-repeat 15px 15px;
			   }
	 .nextlink {
				   margin-top:15px;
				   font-size:18px;
	 }
  </style>
<div id="wrapper" class="migrate">
<?php
    echo "<h2>Миграция базы данных InstantCMS {$version_prev} &rarr; {$version_next}</h2>";

	if(!cmsCore::inRequest('go')){
		echo '<h3><a href="/migrate/index.php?go=1">начать миграцию...</a></h3>';
		exit;
	}

// ========================================================================== //
// ========================================================================== //
	$step = cmsCore::request('go', 'int', 0);

    echo '<h3>Шаг № '.$step.'</h3>';

// ========================================================================== //
// ========================================================================== //

	if($step == 1){

        // ========================================================================== //
        // ========================================================================== //

        if (!$inDB->isFieldExists('cms_menu', 'is_lax')){
            $inDB->query("ALTER TABLE `cms_menu` ADD `is_lax` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `parent_id`");
            echo '<p>Поле is_lax добавлено в таблицу cms_menu.</p>';
            $result = $inDB->query("SELECT id, menu FROM cms_menu");
            $inDB->query("ALTER TABLE `cms_menu` CHANGE `menu` `menu` TINYTEXT NOT NULL");
            if ($inDB->num_rows($result)){
                while ($item = $inDB->fetch_assoc($result)){
                    $item['menu'] = cmsCore::arrayToYaml(array($item['menu']));
                    $inDB->query("UPDATE cms_menu SET menu = '{$item['menu']}' WHERE id = '{$item['id']}'");
                }
            }
            echo '<p>Поддержка множественного выбора меню для показа выполнена</p>';
        }
        if (!$inDB->isFieldExists('cms_menu', 'css_class')){
            $inDB->query("ALTER TABLE `cms_menu` ADD `css_class` VARCHAR( 15 ) NOT NULL DEFAULT '' AFTER `title`");
            echo '<p>Поле css_class добавлено в таблицу cms_menu.</p>';
        }
        if (!$inDB->isFieldExists('cms_modules', 'hidden_menu_ids')){
            $inDB->query("ALTER TABLE `cms_modules` ADD `hidden_menu_ids` VARCHAR( 300 ) NOT NULL DEFAULT '' AFTER `access_list`");
            echo '<p>Поле hidden_menu_ids добавлено в таблицу cms_modules.</p>';
        }
        if (!$inDB->isFieldExists('cms_modules', 'is_strict_bind_hidden')){
            $inDB->query("ALTER TABLE `cms_modules` ADD `is_strict_bind_hidden` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `is_strict_bind`");
            echo '<p>Поле is_strict_bind_hidden добавлено в таблицу cms_modules.</p>';
        }
        if (!$inDB->isFieldExists('cms_search', 'imageurl')){
            $inDB->query("ALTER TABLE `cms_search` ADD `imageurl` VARCHAR( 150 ) NOT NULL DEFAULT '' AFTER `placelink`");
            echo '<p>Поле imageurl добавлено в таблицу cms_search.</p>';
        }

        if (!$inDB->isFieldExists('cms_blog_posts', 'hits')){
            $inDB->query("ALTER TABLE `cms_blog_posts` ADD `hits` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0'");
            echo '<p>Поле hits добавлено в таблицу cms_blog_posts.</p>';
        }

        $seo_tables = array(
            'cms_board_cats',
            'cms_board_items',
            'cms_category',
            'cms_forums',
            'cms_forum_cats',
            'cms_photo_albums',
            'cms_photo_files',
            'cms_blogs',
            'cms_blog_posts',
            'cms_uc_cats',
            'cms_clubs'
        );

        foreach ($seo_tables as $table) {

            if (!$inDB->isFieldExists($table, 'pagetitle')){
                $inDB->query("ALTER TABLE `{$table}` ADD `pagetitle` VARCHAR(200) NOT NULL DEFAULT '';");
                echo '<p>Поле pagetitle добавлено в таблицу '.$table.'.</p>';
            }
            if (!$inDB->isFieldExists($table, 'meta_keys')){
                $inDB->query("ALTER TABLE `{$table}` ADD `meta_keys` VARCHAR(250) NOT NULL DEFAULT '';");
                echo '<p>Поле meta_keys добавлено в таблицу '.$table.'.</p>';
            }
            if (!$inDB->isFieldExists($table, 'meta_desc')){
                $inDB->query("ALTER TABLE `{$table}` ADD `meta_desc` VARCHAR(250) NOT NULL DEFAULT '';");
                echo '<p>Поле meta_desc добавлено в таблицу '.$table.'.</p>';
            }

        }

        if(!$inDB->rows_count('cms_plugins', "plugin='p_kcaptcha'", 1)){
            $plugin = $inCore->loadPlugin('p_kcaptcha');
            $plugin->install();
            $inCore->unloadPlugin($plugin);
            echo '<p>Плагин "kCaptcha" установлен.</p>';
        }

        if(!$inDB->rows_count('cms_plugins', "plugin='p_ckeditor'", 1)){
            $plugin = $inCore->loadPlugin('p_ckeditor');
            $plugin->install();
            $inCore->unloadPlugin($plugin);
            echo '<p>Плагин визуального редактора "CKEditor" установлен.</p>';
        }

        if($inCore->removePlugin($inCore->getPluginId('p_fckeditor'))){
            echo '<p>Плагин визуального редактора "FCKEditor" удален. Вы можете продолжить его использовать, установив его в админке или же просто удалить файлы плагина.</p>';
        }

        if (!$inDB->get_field('cms_modules', "position = 'header' AND title = 'Меню пользователя' AND content = 'mod_menu'", 'id')){

            $inDB->query("INSERT INTO `cms_modules` (`position`, `name`, `title`, `is_external`, `content`, `ordering`, `showtitle`, `published`, `user`, `config`, `original`, `css_prefix`, `access_list`, `hidden_menu_ids`, `cache`, `cachetime`, `cacheint`, `template`, `is_strict_bind`, `is_strict_bind_hidden`, `author`, `version`) VALUES
('header', 'Меню', 'Меню пользователя', 1, 'mod_menu', 34, 0, 1, 0, '---\nmenu: usermenu\nshow_home: 0\ntpl: mod_menu.tpl\nis_sub_menu: 0\n', 1, 'user_menu_', '---\n- 1\n- 7\n- 9\n- 2\n', '', 0, 1, 'HOUR', 'module.tpl', 0, 0, 'InstantCMS team', '1.0');");
            $mid = $inDB->get_last_id('cms_modules');
            $inDB->query("INSERT INTO `cms_modules_bind` (`module_id`, `menu_id`, `position`) VALUES ({$mid}, 0, 'header');");
            $inDB->delete('cms_modules', "content = 'mod_usermenu'", 1);

            $inDB->query("INSERT INTO `cms_modules` (`position`, `name`, `title`, `is_external`, `content`, `ordering`, `showtitle`, `published`, `user`, `config`, `original`, `css_prefix`, `access_list`, `hidden_menu_ids`, `cache`, `cachetime`, `cacheint`, `template`, `is_strict_bind`, `is_strict_bind_hidden`, `author`, `version`) VALUES
('header', 'Меню', 'Меню авторизации', 1, 'mod_menu', 35, 0, 1, 0, '---\nmenu: authmenu\nshow_home: 0\ntpl: mod_menu.tpl\nis_sub_menu: 0\n', 1, 'user_menu_', '---\n- 8\n', '', 0, 1, 'HOUR', 'module.tpl', 0, 0, 'InstantCMS team', '1.0');");
            $aid = $inDB->get_last_id('cms_modules');
            $inDB->query("INSERT INTO `cms_modules_bind` (`module_id`, `menu_id`, `position`) VALUES ({$aid}, 0, 'header');");

            echo '<p>Существующий модуль "Меню пользователя" удален.</p>';
            echo '<p>Новый модуль "Меню авторизации" добавлен. </p>';
            echo '<p>Новый модуль "Меню пользователя" добавлен. Добавлять/изменять/удалять пункты меню пользователя теперь можно в админке в общем списке меню.</p>';

            // создаем пункты меню
            // авторизация
            $inDB->addNsCategory('cms_menu', array(
                'parent_id'=>1,
                'menu'=>'---\n- authmenu\n',
                'title'=>'Войти',
                'css_class'=>'login',
                'link'=>'/login',
                'linkid'=>'/login',
                'published'=>1
            ));
            $inDB->addNsCategory('cms_menu', array(
                'parent_id'=>1,
                'menu'=>'---\n- authmenu\n',
                'title'=>'Регистрация',
                'css_class'=>'register',
                'link'=>'/registration',
                'linkid'=>'/registration',
                'published'=>1
            ));
            // меню пользователя
            $user_menu = array(
                array(
                    'title'=>'{user.nickname}',
                    'css_class'=>'my_profile',
                    'link'=>'/users/{user.login}'
                ),
                array(
                    'title'=>'Сообщения {user.new_msg_count}',
                    'css_class'=>'my_messages',
                    'link'=>'/users/{user.id}/messages.html'
                ),
                array(
                    'title'=>'Мой блог',
                    'css_class'=>'my_blog',
                    'link'=>'/blogs/my_blog.html'
                ),
                array(
                    'title'=>'Фото',
                    'css_class'=>'my_photos',
                    'link'=>'/users/{user.id}/photoalbum.html'
                ),
                array(
                    'title'=>'Статьи',
                    'css_class'=>'my_content',
                    'link'=>'/content/my.html'
                ),
                array(
                    'title'=>'Админка',
                    'css_class'=>'admin',
                    'link'=>'/admin/',
                    'access_list'=>'---\n- 2\n'
                ),
                array(
                    'title'=>'Выход',
                    'css_class'=>'logout',
                    'link'=>'/logout'
                )
            );
            foreach ($user_menu as $m) {
                $id = $inDB->addNsCategory('cms_menu', array(
                    'parent_id'=>1,
                    'menu'=>'---\n- usermenu\n',
                    'title'=>$m['title'],
                    'css_class'=>$m['css_class'],
                    'link'=>$m['link'],
                    'linkid'=>$m['link'],
                    'access_list'=>(empty($m['access_list']) ? '' : $m['access_list']),
                    'published'=>1
                ));
                if($m['css_class'] == 'my_photos'){
                    $inDB->addNsCategory('cms_menu', array(
                        'parent_id'=>$id,
                        'menu'=>'---\n- usermenu\n',
                        'title'=>'Добавить фото',
                        'css_class'=>'add_photos',
                        'link'=>'/users/addphoto.html',
                        'linkid'=>'/users/addphoto.html',
                        'published'=>1
                    ));
                }
                if($m['css_class'] == 'my_content'){
                    $inDB->addNsCategory('cms_menu', array(
                        'parent_id'=>$id,
                        'menu'=>'---\n- usermenu\n',
                        'title'=>'Написать',
                        'css_class'=>'add_content',
                        'link'=>'/content/add.html',
                        'linkid'=>'/content/add.html',
                        'published'=>1
                    ));
                }
            }

        }

		echo '<div style="margin:15px 0px;font-weight:bold">Миграция завершена. Удалите папку /migrate/ прежде чем продолжить!</div>';
		echo '<div class="nextlink"><a href="/">Перейти на сайт</a></div>';

	}
// ========================================================================== //
// ========================================================================== //

    echo '</div></body></html>';